## com.bbn.openmap.util.wanderer
Class Wanderer

    java.lang.Object
      com.bbn.openmap.util.wanderer.Wanderer

Direct Known Subclasses:
  ChangeCase, DTEDLocator, OneWaySync, Purge

public class Wanderer
extends java.lang.Object

A Wanderer is a class that traverses a directory tree and finds files and directories. It then makes a method call on the WandererCallback class to have something done on those directories or files.

Constructor Summary
`Wanderer()`
`Wanderer(WandererCallback callback)`

Method Summary
`WandererCallback` `getCallback()`
`void` `handleDirectory(java.io.File directory, java.lang.String[] contentNames)`
`void` `handleEntry(java.io.File file)` Given a file representing a top-level directory, start wandering the tree and call handleDirectory or handleFile on the WandererCallback.
`static void` `main(java.lang.String[] argv)` Given a set of files or directories, parade through them to change their case.
`void` `setCallback(WandererCallback cb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Wanderer

    public Wanderer()

### Wanderer

    public Wanderer(WandererCallback callback)

Method Detail

### setCallback

    public void setCallback(WandererCallback cb)

### getCallback

    public WandererCallback getCallback()

### handleEntry

    public void handleEntry(java.io.File file)

  Given a file representing a top-level directory, start wandering the tree and call handleDirectory or handleFile on the WandererCallback.

  Parameters:
    `file` - File (directory) to start at.

### handleDirectory

    public void handleDirectory(java.io.File directory,
                                java.lang.String[] contentNames)
                         throws java.lang.SecurityException

  Throws:
    `java.lang.SecurityException`

### main

    public static void main(java.lang.String[] argv)

  Given a set of files or directories, parade through them to change their case.

  Parameters:
    `argv` - paths to files or directories, use -h to get a usage statement.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details